Table of contents

 Top Next

1. Table of contents

2. First Steps

2.1 Introduction

2.2 Installation & Uninstallation

2.3 The Workspace

2.4 Blog Configuration

3. Managing Weblog Entries

3.1 Creating & Editing new Posts

3.2 Editing Images with the ImageWizard

3.3 Publishing Posts

3.4 Editing Posts already published

4. Extras

4.1 Notebook, Frequently Used Phrases and Technorati-Tags-Generator

4.2 Options

4.3 Templates

4.4 Spell Checking

4.5 Application Path & User Path

4.6 Data Backup & Transfer

adobe

Because the help can't be easily printed, you can download a printer-friendly PDF version of this manual (Download).


Introduction

 Top Previous Next

Introduction

Once a blog system like WordPress is installed and configured on the server you can finally start writing. But it won't take you long to learn that ambitous text-formatting, the use of images and links and all those special elements are difficult and time-consuming to employ.

BlogDesk wants to make writing new weblog entries easier, faster and more pleasant. The WYSIWYG editor just works like your favorite word processor, no need to worry about those confusing HTML tags. Using images in your posts is a child's play and you can even publish simultaneously to multiple blogs.

The Blog Wizard will help you to create and configure new blogs. After that, using BlogDesk is as easy as it can be. Creating and editing weblog entries is similar to working with a word processor.

When a new posts are ready, you can publish them with a single click. Text and images will be uploaded automatically to the server and integrated in the blog system.


Installation & Uninstallation

Installation

The installation is easy: save the installation file (download page) to your computer, execute it and follow the instructions of the setup assistent. Normally you can just confirm the default values.

Reinstallation

In the same way you can renew your installation (e.g. after an update has been released). If you changed the destination directory during the first installation, you have to pay attention to use the same directory again.

Uninstallation

If you don't want to use BlogDesk anymore you can remove it from your computer any time. Just execute the Uninstaller in one of the two following ways:
· Open the Windows Start Menu, open the BlogDesk program group and select Uninstall BlogDesk.
· Open the Control Panel (under Start/Settings), double-click Add/Remove Programs, choose BlogDesk and click Remove.

For security reasons, the BlogDesk Uninstaller, like many other programs, will only remove files and directories that had been created during the installation process. This means that all the data you created or that had been created by actually using BlogDesk will not be deleted during uninstall. This is especially true for all the user data in the User Path.

So, if during your work with BlogDesk data has been saved, you have to manually delete those files and directories. Basically two directories (with all their sub-directories) are affected: the Application Path and the User Path.

If you don't know where those two directories are located you should open the Help menu and select Info and then More Info - there you'll find the names of both directories. After that you can uninstall BlogDesk and manually remove the remaining directories (e.g. within the Windows Explorer).


The Workspace

The Workspace

The workspace consist of the following elements (you'll find more detailed explanations in chapter Editing Posts):

blogdesk-gui

1. Menu and toolbar with buttons to create, open, save, publish and edit posts.
2. Title of the post.
3. With these buttons you can change between the three sections.
4. Here can be edited the actual text of the post.
5. List with available blogs and categories.
6. The post-options.
7. Field to enter trackbacks.

The right-hand area of the workspace can be hidden and shown using the Options visible command in the View menu. The reduced view leaves more space for the actual post and helps to focus on the content.

Especially inexperienced users appreciate a clean workspace without to much distraction. Once the blog is configured and all default options are set, it may be sufficient to confine oneself to the text.

blogdesk-gui-simple


Blog Configuration

Blog Configuration

Selecting Manage Blogs in the File menu will open the list of your blogs. Here you can create, edit, delete and import entries.

If you create a new blog, the Blog Wizard will guide you through the configuration process. Normally you just have to enter the blog-address (URL) and login & password - the Wizard will do the rest for you. One click later you will be able to write and publish new posts.

The Wizard only configures the most important connection data. All other options can be edited in the Blog Properties. This dialog is divided into several tabs.

Tab Blog

The data in this tab is important for the contact between BlogDesk and the blog on the server. Following an example:

blogdesk-blog-config-example-1

Host

Name of the server without any additional prefix or suffix. If your blog is located in a sub-directory you must not add this directory.

Examples: | my-first-blog.com myserver.net
Wrong: | my-first-blog.com/blog

If your blog is accessed via a subdomain, you must add it.

Examples:

blog.myserver.com

myblog.bloghost.net

The More button will open a dialog where you can enter the necessary access information if your blog is located in a password protected directory. In addition you can activate a SSL connection (if this is supported by the server).

Port

This depends on the server, default value is 80.

Timeout

The number of seconds that BlogDesk will wait for a response before failing the operation.

Login

The username to be used to authenticate.

Password

The password to be used to authenticate.

Blog-ID

You can enter this value manually or let BlogDesk look it up using the [...]-button.

RPC Address

To communicate with your blog, BlogDesk needs to access a special file on the server. The so-called Entry Point is the address of this file. The name of the file and its address depends on the blog system. WordPress uses the name XMLRPC.PHP, the file is located in the same directory as index.php.

Here you have to enter the relative address of the file on the server. If the file is not located in the root you have to add the name of the directory.

Examples: | /xmlrpc.php | The file is located in the root directory.
 | /blog/xmlrpc.php | The file is located in the sub-directory blog.

Encoding

In this list you must select or enter the character encoding scheme (charset) you allready chose for your blog on the server. In WordPress, this is UTF-8 by default. In Europe, many users prefer charsets like ISO-8859-1 or others.

Whatever you choose for your blog on the server, it's important to select the same charset here in BlogDesk. Otherwise you will encounter problems with special characters like Ü or Ç or Ñ.

If you use ISO-8859-1 or similar charsets you may consider automatically encoding special characters (see tab Publish).

API

Name of the interface BlogDesk will use to communicate with the blog. Only possible values for the moment are MetaweblogAPI and MovableType.

System

Name of the weblog system.

Blog Address (URL)

This is the address of your blog. In other words: the address a visitor would have to enter in his browser to see your blog.

Tab FTP & Upload

If you use images in your blog entries, those files must be uploaded separatly to the server when publishing the post. BlogDesk offers two upload methods, but they are not supported by all blog systems.

DirectUpload

This method is easy to configure and your only choice if you don't have FTP access to your blog. However, not all systems support this method.

FTP-Upload

You need FTP access to your blog (or an external FTP server) if you want to use this method.

Tab Categories

Most blog writers create categories to arrange their blog posts. Those categories are created on the server. Use the Get Categories from Server button to tell BlogDesk about those categories. BlogDesk will contact the server, read the categories and fill the list. You should repeat this whenever you add/delete/rename categories on the server.

If there are problems getting the categories you can Edit manually the list. If you want the list sorted, just press Sort alphabetically.

If you activate a category in this list it will be applied by default whenever you create a new post for this blog.

Tab Publish

Here you find options that concern the publishing of your posts.

Encode Special Characters in HTML

If you do not use the recommended UTF-8 as your character encoding scheme (charset) but something like ISO-8859-1 you may encounter problems with special characters showing up wrongly in your blog. Maybe this only affects foreign visitors of your blog using different browsers and different fonts.

If you activate this option, special characters are encoded and thus more compatible with other systems. There is no need to activate this option if you use UTF-8 as your charset.

Remove Paragraph-Tags (<p> und <br>)

Within HTML, paragraphs are separated by special tags. Not all blog systems do like those tags. Maybe you get better results if you let BlogDesk remove them.

Besides the blog system, those tags can also disturb within BlogDesk while editing in source mode. If you want BlogDesk to hide them while editing, activate the corresponding option.

Test for empty Fields before Uploading

If you want to prevent missing information before publishing a new post you can activate fields that must not be empty. It's a good idea not to publish a post without a title and text. If those fields are empty, BlogDesk will ask if you want to cancel to process or publish anyway.

Timezone

If you change the timestamp of your post, BlogDesk will automatically adjust the time to your local timezone and consider DST (daylight saving time). If necessary you can specify an additional time shift (bias) using positive or negative values (e.g. 30 or -60 minutes).

Tab Archive

In this tab you control how posts are stored localy on your computer after publishing.

Store Posts after Upload

Activate this option if you want published posts to be archived localy. In this case they will be saved under the User Path in the sub-folder Sent.

Use separate Folder to store Posts

If you publish to multiple blogs it may make sense to store posts in separate folders. With the Create Default button you can create a sub-folder under the Sent folder which will get the name of the blog. The Choose button lets you choose any other directory you like.


DirectUpload Configuration

DirectUpload Configuration

Normally there is no need to enter anything here. But you should run the Test once so that BlogDesk can automatically configure the following options.

Destination Path

Normally the blog system uses the default destination path. You should only enter a different path if you want to change this behavior.

URL prefix

When uploading a file using DirectUpload, the server will return a qualified link/URL so that BlogDesk can integrate this URL in the post. If the server does not return the entire URL and this leads to troubles you can enter a prefix that will be added the the URL. If such a prefix is necessary, BlogDesk will find out for you if you run the Test.

Timestamp

Some blog systems use the name of the transferred file without further checking. If there is already a file with the same name in the destination directory, they will override it without further inquiry. Adding a timestamp can practically preclude such a name collision. If you run the Test, BlogDesk will find out for you if this option should be activated.

Test

If you run the Test, BlogDesk will upload the little image to the server and then download it back. If it can be displayed in the field below, everything is fine. During the Test, BlogDesk will automatically update the URL prefix and the Timestamp.


FTP Configuration

FTP Configuration

If you have FTP access to your blog (or an external FTP server) you can use it to upload images and other files. The information you have to enter here is basically the same you already entered in your FTP client. Following an example:

blogdesk-blog-config-example-2

Host

Name of the FTP server without any additional prefix or suffix.

Examples:

myserver.com

ftp.server.net

Port

This depends on the server, default value is 21.

Timeout

The number of seconds that BlogDesk will wait for a response before failing the operation.

Login

The username to be used to authenticate to the FTP server. This is the same username you entered in your FTP client to access the blog directories.

Password

The password to be used to authenticate to the FTP server. This is the same password you entered in your FTP client to access the blog directories.

Account

This field normaly can be empty.

Upload Path

The Upload Path is the path/folder on the server where the files are uploaded to (i.e. the destination directory). When the blog system wants to display an image it will look in this directory for the image file. Even if it's only one path, the FTP server and the blog system both have a different 'view' at it. That makes configuration a bit complicated.

FTP

The name of the directory used for uploading images (relative to the FTP host).

Examples:

/user/myblog/wp-content/

/html/blogs/myblog/wp-content/images/

The easiest way to find out the name of the directory is to login with your FTP client and go to the directory where your blog system is located. This is the directory you created or chose when you installed the blog system on your server. If you use WordPress you will find a sub-directory wp-content, many bloggers even create an additional sub-directory only for images. No matter how it's called, when you go to this directory, your FTP client will display its whole name somewhere on the screen. Just copy this name to BlogDesk.

If your blog is hosted by a service like blogg.de, you normally won't have access to a FTP server. But you still can upload your images to a different FTP server, maybe even your online provider offers free FTP space. Or you can use the DirectUpload.

Blog

Here you have to enter the name of the upload directory as well, but this time relative to the Blog host.

Examples:

/wp-content/

/wp-content/images/

The name of the directory corresponds to the name you entered in the FTP field, but it probably won't be exactly the same. Because the blog system has a different 'view' on the directory structure, normally only the end of the paths will be the same. For example, the FTP directory

/html/blogs/myblog/wp-content/images/

could be

/wp-content/images/

in the eyes of the blog, and this would be the name to enter here.

If you upload your images to a different FTP server which has nothing to do with the blog system, just enter the complete Web address of the directory where the files can be retrieved. If you have e.g. a FTP account on a Lycos server, the address of the directory could look like this:

Example:

http://user.lycos.com/name/

Connection

Select the Type of the connetion. If you choose a Secure Connection you normally must change the Port accordingly (default would be 990).

If you are behind a firewall and notice problems connecting to the server, activating the Passive Mode option may help.

Test

Here you can test if the data for the FTP account and the Upload Path is correct.


Creating & Editing new Posts

Create new Posts

There are several ways to create a new post:
1. Use the New command in the File menu
2. Use the New from template command in the File menu and select the desired template.
3. Press the New button on the toolbar ( [image] ). If you press its little arrow, you can select a template.

If you did not select any template, BlogDesk will use the default options.

Save & Open Posts

You can save a post with the Save command in the File menu or the corresponding button on the toolbar ( [image] ). Saving a post is necessary if, before finally publishing it, you want to interrupt your work. By default, BlogDesk will automatically save the current post every 5 minutes. You can deactivate the SmartSave feature in the options dialog.

By default, BlogDesk will use the title of the post to automatically build a filename, so you don't need to enter one yourself. You can deactivate the SmartSave feature in the options dialog.

You can open a post (draft) using the Open command in the File menu or the correspondig button on the toolbar ( [image] ). In this Open-Dialog you can also choose a template or a post that has been already published. If you open a Published Post, this post will be read-only. But as soon as you save this post, BlogDesk will create a copy that you can change and republish.

Edit Posts

Basically, you can create a post, give it a title, write your text and publish right away. Don't bother about all the other features and options if you don't need them.

Don't forget that not all options are supported by all weblog systems and hoster. If in doubt you have to do some tests.

View

BlogDesk offers two different edit modes. You can change between those modes using the View menu or the F5 key. The name of the current mode is displayed on the statusbar.

Most users prefer the WYSIWYG mode (Normal): the text can be edited just like in your favorite word processor, changes are immediately visible and there is no need to worry about those confusing HTML tags.

Of course you can edit the HTML code (Source) as well, the normal view will be updated accordingly.

The third view (Preview) is more or less the same as the normal view, but it's just a view, you can't edit the text. Moreover, when you click a link, the corresponding page will be opened in the default browser.

Formatting

With the Format menu and the corresponding buttons on the buttonbar you can apply common text formattings like bold or italic or colored text. Likewise important are Indent (for citations) and Lists (for enumerations). And never forget: for your readers sake, use formattings sparingly.

How all those elements will look like in your blog depends on its format settings and definitions. If you want BlogDesk to reflect those settings you have to edit the underlaying CSS file.

Insert Pictures

Compared to the conventional way it's very easy and comfortable to join text and images with BlogDesk. Using the Insert image command in the Edit menu or the corresponding button on the buttonbar ( [image] ) you have the following possibilities:

Choose File

Use this command if you want to insert a file that is already on your harddisk. After choosing the file you can edit the image in the ImageWizard (crop, resize, rotate etc.).

Insert from Clipboard

This command also opens the ImageWizard, but uses the current content of the clipboard as image. This is very handy if you have used PrintScreen to make a screenshot (e.g. of the webpage currently displayed in your browser).

External Link

BlogDesk is not limited to images on your computer. Use this command if you want to link to an image file that is located somewhere on the Internet and enter the whole address (e.g. http://my-image-server.com/image.gif). The editor will try to load the file in order to display it. If this is not possible, you will see a placeholder. In any case, it's just a link to the original image, even after publishing the post. So, if one day the original image is removed or changed, you will see the result in your blog.

Insert Links

Use the Insert Link command in the Edit menu or the corresponding button on the toolbar ( [image] ) if you want to create a link.

Alternatively you can insert a link directly from the clipboard (using Edit/Paste). The editor will automatically detect the correct protocol (e.g. http for web links or mailto for email addresses).

If you move your mousepointer over a link, the corresponding URL will be displayed on the statusbar. A doubleclick will reopen the window to edit the link.

Besides linking to external pages, you also can link to local files (i.e. a PDF or a MP3). Use Insert Link and then the File button. If you link to local files this way, those files will be automatically uploaded once you publish your post. Readers of your blog then just have to click the link to download the file to their computers.

Insert SmartUpload

This special features makes it much easier for you to work with media plugins that exist for systems like WordPress. Normally, when you want to offer a MP3 file in your post using a flash player, you have to write rather complex HTML code. A media plugin will do this work for you. Still, the plugin needs the filename and the file itself needs to be uploaded. And this is what the SmartUpload is about.

When you insert a SmartUpload in your post (using the corresponding command in the Edit menu), you just have to choose the file you want to upload. BlogDesk will then insert the placeholder {SmartUpload} in the text. This placeholder will be replaced by the filename on the server once the file is uploaded.

Example: Some plugins help you showing videos in a flash player, all they need is the filename of the video in square brackets. In this case you need to insert the corresponding FLV-file as a SmartUpload in your text and surround it with the brackets. This will look like this in your text:

[{SmartUpload}]

And it will be changed to this once the file is uploaded (the filename is just an example):

[http://www.blogexample.com/files/video.flv]

Insert HTML

Use the Insert HTML command in the Edit menu or the corresponding button on the toolbar ( [image] ) if you want to insert valid HTML code at the current cursor position. This is usefull if you have a huge HTML section from YouTube or other multimedia sites that you want to embed.

Options

Apart from title and text, you'll find a couple of options on the right-hand side of the workspace. They correspond to the options in the administration area of your blog system. With the default settings or templates you can control which options are activated by default.

Blogs and Categories

In this list you'll find all blogs and their categories. You can select the blog(s) where you want to publish your post and the categories you want to assign.

Allow Comments

Activate this option if the readers of your post should be able to comment on it.

Allow Pings

Activate this option if pings/trackbacks should be allowed for this post.

Publish Post after Upload

This option controls what happens with your post once uploaded. If this option is activated, your post will show up immediately on the blog (unless you changed the timestamp). If the option is deactivated, the post will not be published on the blog but instead be saved as draft. To finally publish this draft you have to login to your blog system.

Change Date and Time (Timestamp)

By default, when a post is published, it will get the current timestamp of the server. If you activate this option instead, you can modify date and time. If you set an older date, the post will show up at the corresponding chronological position (and maybe not even on the current mainpage of your blog). If you set a date in the future (i.e. Post to future), the blog system will wait till the desired date before showing the post.

In the Blog-Properties you can specify if and how you want BlogDesk to take into account the current timezone settings.

(Remark: Not all blog systems handle the timestamp setting in a correct way. E.g. WordPress has some issues with this feature. I hope that they will be resolved in a future version.)

Trackbacks

Here you can enter trackbacks. Separate multiple links by comma or new lines.

Sections

Longer post are often divided by their authors in two section, Intro and More. In systems like WordPress this can be done using the HTML tag <!--more-->. If you use this tag, only the first section is shown on the mainpage of the blog, a link (More) takes you to the rest of the article.

In BlogDesk, there are two separated text fields for those two section. You can change between those fields using the two buttons Post and More.

And there is a third section: Excerpt. Normally, the summary of a post is used in the archive view of a blog and within the RSS feed. By default, the blog system automatically uses the first 120 characters of a post as excerpt. If you want to control the content of the excerpt (e.g. to improve the quality of your RSS feed) you can edit it in this field.

As soon as a section contains text, the caption on the corresponding button is displayed darker.


Editing Images with the ImageWizard

Editing Images with the ImageWizard

With the ImageWizard you can not only insert images to your posts - it's possible to edit them as well (crop, resize, rotate, shadow etc.).

Insert Image

Using the Insert Image command in the Edit menu you can Choose a File or Insert from Clipboard (if there is an image in the clipboard). The image is loaded in the ImageWizard - you then can insert it directly to your post or edit it first. The ImageWizard can be opened afterwards by double-clicking on an image or by using the Edit Image command in the Edit menu.

If you insert a local image, the file will be copied into the sub-folder Images under the program path. So even if you edit the image, the original file will always remain unchanged.

Edit Image

On its right side the ImageWizard offers you several sections. If you click on the title of a section, its options and tools will appear.

Within a section you can change the options (e.g. the rotation angle) as you like - the changes are applied once you activate another section or you leave the ImageWizard.

The Undo all Changes command restores the initial image. The Open new Image command let's you choose a new image file.

Size

The size of an image is very important because if it's too large it will break the layout of the blog. For that reasons the ImageWizard shows a warning message whenever the image is too large.

The actual width of the blog can be selected and edited with the Blog Width button. If necessary you have to examine the blog layout a bit to find out the width (in pixel). The default width (450 pixel) corresponds to the width of Kubrick, a very popular theme under WordPress.

You can change the image width to three pre-defined sizes (Big, Medium, Small) or Free. In the textbox you can enter the width directly or change it with Key-Up and Key-Down step by step.

With the Create Thumbnail command you can create a preview of the image. This preview will be shown in your blog. When the reader clicks on the image, he will see the original (big) version. The preview is created with the maximum allowed width (which is the width of the blog) and can then be edited or scaled down at will. Afterwards, you basically have two images that are linked together. But you shouldn't bother about the details because BlogDesk will do all the necessary linking and uploading.

Crop

It's often a good idea to use just a certain part instead of the whole image. With the left mouse button pressed you can select a region within the image. After releasing the mouse button you can still move the borders. If you press Cut, the selected region becomes the new image.

With very large and very small images it's not that easy to select the desired region. In this case you can activate the Fit view to Window option. The image will be shown at the size of the window during cropping. Once cropped, the display will change to its actual size.

Rotate & Flip

You can rotate the image in pre-defined angles or completely free. In the textbox you can enter the angle directly or change it with Key-Up and Key-Down step by step.

The two buttons Flip horizontal and Flip vertical let you flip the image.

Shadow & Borders

In this section you can add a shadow or border effects to the image.

Colors

Here you can adjust the color depth of the image. You should adjust the Background color if you use something different than white in your blog. This can be important in case of transparency or when rotating the image (because empty regions get filled with the background color).

Alignment in text

This option has no effect within the ImageWizard, the result is only visible once you return to the text of your post. It's about the alignment of the image between or next to the text and the distance from the text.

If you align the image next to the text (left or right) there must be enough text to float around the image. If there is not enough text, it may happen that the text of the following article gets pulled up.

Format

The file format of your image is determined by the format of the file you load. You can change the format in the Format dropdown list. E.g. it would be a good idea to change a BMP to JPG or GIF because a BMP uses much more memory. Be aware that most browsers can display WBMP, but the BlogDesk editor can't.


Publishing Posts

Publishing Posts

If you create a post with BlogDesk and publish it, this post (together with images, if necessary) will be uploaded to the server and integrated in the blog system. During uploading, your computer must be online. The upload can be started as follows:
1. With the Publish Post command in the File menu
2. With the fourth button on the toolbar ( [image] ).

To avoid publishing by mistake, BlogDesk asks your permisson before uploading the post. You can deactivate this security question in the Options. In addition you can tell BlogDesk to spell check your post before publishing.

If you want to ensure that certain fields (like the title of the post) are filled in when publishing, you can select those fields in the Blog Properties.

The Publish after Upload option controls what happens with your post once uploaded. If this option is activated, your post will show up immediately on the blog (unless you changed the timestamp). If the option is deactivated, the post will not be published on the blog but instead be saved as draft. To finally publish this draft you have to login to your blog system.

BlogDesk will close the post after the successful upload and save it. If and where the post is saved can be choosen in the Blog Properties.


Editing Posts already published

Edit Posts already published

It's possible to edit posts that have been already published. This is useful if you want to correct some errors or add some information. Some blog systems / blog hosters do not support this feature or support it in a limited way. If in doubt you have to test it.

Do the following if you want to edit a post already published:
1. Select Edit Posts already published in the File menu.
2. Select the blog and the number of posts to be listed and press Show.
3. Select the desired post and press Edit.

BlogDesk will now load the post from the server and display it. Whether all orginal categories and options are applied correctly depends of how well the blog system implements this feature.

If the post contains images, these remain on the server and are directly linked to. If you republish the post, those images are not uploaded again since they are already on the server. On the other hand, you can't edit those images with the ImageWizard. If you need to edit them, you have to reinsert a local version of the image.

Bear in mind that the post keeps the original timestamp so it will show up at the original postion within the blog. Of course you can change the timestamp.

If all changes are done, you can publish the revised post. BlogDesk will ask you if you really want to overwrite the original post with the new version.

Delete Posts already published

It's not only possible to edit already published posts, you can even delete them from the server. Also this feature is not supported by all blog systems / blog hosters.

Do the following if you want to delete a post already published:
1. Select Edit Posts already published in the File menu.
2. Select the blog and the number of posts to be listed and press Show.
3. Select the desired post and press Delete.

Republish Posts already published

If you want to republish a post (e.g to a different blog) without touching the original, there is no need to load this post from the server. By default, BlogDesk will keep published posts in your local archive. You can reopen such a post and publish it again. Do the following:
1. Select Open in the File menu.
2. Change to the tab Published Posts.
3. By default, BlogDesk keeps published posts in the Sent folder. If you changed the Archive Folder for the respective blog, you have to select this folder.
4. Select the desired post and press OK.

If you open a post this way, it can't be edited or published straightaway. But as soon as you save the post, BlogDesk will create a copy of the original post that may be edited and republished.


Notebook, Frequently Used Phrases and Technorati-Tags-Generator

Notebook

In the Notebook you can insert and rearrange text before you actually use it in your weblog entry. For your convenience you can create multiple categories where text can be saved separatley.

You can open the Notebook using the corresponding command in the Extras menu. Whenever you close the Notebook window, the text will be saved automatically. The next time you open the window you will find yourself at the most recent position. The usual procedure of saving & opening a file is unnecessary.

Frequently Used Phrases

Frequently Used Phrases (FUP) are an enormous time-saver for often used phrases, sentences or complex formulations. You can paste them whenever you want in your post instead of retyping them over and over again. To open the FUP-Window, use the corresponding command in the Extras menu.

Example: many bloggers use references like Found via blog XY (including a link) if they found something in blog XY that they mention in their own blog. It's a good idea to make this a FUP for blogs you cite often.

If you use acronym definitions to help your readers understand your text, make them a FUP. Example:

<acronym title="Cascading Style Sheets">CSS</acronym>

FUPs can be ordered in groups. The Edit button lets you create, edit and delete groups and phrases. You can drag & drop phrases from one group to another.

A FUP consists of a Title (which is shown in the list) and Text (which may contain HTML code). If you don't enter a title, BlogDesk will use the first paragraph of the text. The Insert button will insert the selected text at the current cursor position.

Technorati-Tags-Generator

Many bloggers use Technorati-Tags in their posts. Manually inserting those tags is time-consuming since every tag has its own corresponding link (e.g. http://www.technorati.com/tags/blogdesk) that needs to be entered, too. The Tags-Generator will do the hard work for you, you only have to select or enter the actual tag. You can open the Tags-Generator using the corresponding command in the Extras menu.

When selecting tags in the Available Tags list, they will appear in the Selected Tags field. There you can add missing tags (separated by comma) - they will be added to the list of available tags automatically when you close the window. Use the List button if you want to manually add, remove or edit tags in the list.

If you press OK, BlogDesk will join together all selected tags in one line (with all the corresponding links) and insert it at the current cursor position. Via the Format button you can control how this line will look like.


Options

Options

With the Options command in the File menu you can open the Options dialog which is divided in several tabs.

New Posts

Here you can modify the default options for new posts. BlogDesk will use these defaults when you create a new post - and of course you can change them afterwards.

Blog

Select the blog(s) new posts should be published to by default.

Allow Comments

If the readers of the post should be able to comment on it.

Allow Pings

If pings/trackbacks should be allowed.

Publish after Upload

Controls what the blog system will do with the post once uploaded.

Template

If you already created a template, you can use it as a base for your new posts. If you select one, it will overwrite the other options.

Editor

Options in this tab concern the edtior.

Show Paragraph-Tags (<p> und <br>)

Within HTML, paragraphs are separated by special tags. If you are editing in Source Mode, those tags can be disturbing. With this option, you can tell BlogDesk to hide the tags. This only affects the editor - if you want to remove all paragraph-tags when publishing (because some blog-systems don't like those tags), you have to activate the corresponding option in the Blog Properties.

Source Editor Font

Select the font you want to use when editing your post in the Source Mode.

Spell Check

Options in this tab concern the integrated spell checker.

Ignore words in UPPERCASE

Words with all letters in uppercase will be ignored

Ignore numbers

Numbers will be ignored.

Ignore words with numbers

Words which contain numbers will be ignored.

Spell check before publishing

Starts the spell check before a post is published.

Dictionaries - Default

In this list you find the installed default dictionaries. Here you can activate dictionaries you want to be used when spell checking. Activating many dictionaries will slow down the checking process.

Dictionaries - Custom

While spell checking you can add unknown words to the dictionary. Here you can activate, create and delete those custom dictionaries.

Extras

SmartSave

Just like in any other progam you can save your work whenever you want. If your post already has a title, you can avoid the unnecessary effort to enter a filename. With this option activated, BlogDesk will use the title to automatically build a filename. Your decision is only requested if there is collision with other files.

Save automatically every x minutes

If activated, BlogDesk will automatically save the current post at the given interval.

Ask before uploading a Post

The Do you really want to upload this post question prevents publishing by mistake.

Show ToolTips

If activated, the ToolTips will show up when the mousepointer is over a button on the toolbar.

Show in SystemTray

If activated, a little BlogDesk icon will be shown in the System Tray. When minimized, you can click on this icon to reactivate BlogDesk.

Debug information file

Insert or select a file if you want BlogDesk to save debug information when publishing a post to the server. This information can help solving problems. BlogDesk will append those informations at the end of the file. Since the file will grow continuously you may want to delete it from time to time.

Language

User interface

Here you can select the language for the user interface (menu, dialogs etc.). Maybe you'll find other available languages at www.blogdesk.org.

Help

The Help is shown whenever you press the F1 key. Here you can select its language.


Templates

Templates

Templates are very handy when creating new posts because you can apply many options and even content simultaneously instead of selecting, chosing and typing everything separately. Take an example: if, for certain posts, you always select two particular categories and deactivate the Allow comments option, you could integrate this in a template.

Creating Templates

Templates are created like every other post, just activate the desired options, you can even enter text and title. Finally select Save as Template in the File menu and give your new template a meaningfull name.

You can change and reedit your templates whenever you want. Just select Open from the File menu, change to the Templates tab and select the desired template.

Creating new Post from Template

You have several possibilities if you want to create a new post from a template:
1. Select New from Template in the File menu and then the desired template in the submenu. The (Default) entry is nothing else than the default options specified in the Options dialog.
2. If you press the little arrow on the New button ( [image] ), the submenu with available templates will appear.
3. If you want all new posts to be created from a template you can select this template in the Options dialog.

Editing CSS- and HTML files (Master-Templates)

The Master-Templates are not about options but the formatting of your posts. How those posts will show up once published depends on the format definitions of your blog. They are a result of the Theme used by the blog and the underlying CSS files.

So, how do we get BlogDesk to match with at least some of those definitions (e.g. FontName and FontSize)? Just edit the file DEFAULT.CSS in the User Path accordingly.

You can go even further and modify the HTML files the three sections are based on. Those files are located in the sub-directory Template and are named DEFAULT.HTM, DEFAULT-MORE.HTM and DEFAULT-EXCERPT.HTM. All three are linked to the aforementioned DEFAULT.CSS.


Spell Check

Spell Check

The integrated spell checker can help you find errors in your text. Just like in a normal word processor, BlogDesk will complain about unknown words. You may then change those words, add them to the dictionary or ignore the warning.

Start spell checking

You can start the spell checker using the Extras menu or the corresponding button ( [image] ). If you select one or several words, only those will be checked. Otherwise, the whole text and the titel get checked. In case of unknown words you can do the following:

Ignore

The unknown word remains unchanged. If you choose Always, the word will be ignored in the whole text. This can be usefull with names which occur several times in the text.

Change

When complaining about unknown words, the spell checker often makes suggestions. You can choose one of those suggestions in the list or manually edit the unknown word. If you press Always, all occurrences of this word within the whole text will be changed.

Add to dictionary

If you are sure that an unknown word is spelled correct, you can add it to a dictionary. The custom dictionaries are there for this purpose and can be activated or created in the options.

Dictionaries

If a word is known or unknown depends on the used dictionaries. By default, BlogDesk is delivered with an English (US) dictionary, but you can add other dictionaries for different languages (German, French, Italien etc.). They can be used even simultaneous. You'll find those dictionaries on a separate download page.

Options

While spell checking you can always change the options. You can access those options in the Extras menu as well.

Ignore words in UPPERCASE

Words with all letters in uppercase will be ignored.

Ignore numbers

Numbers will be ignored.

Ignore words with numbers

Words which contain numbers will be ignored.

Spell check before publishing

Starts the spell check before a post is published.

Dictionaries - Default

In this list you find the installed default dictionaries. Here you can activate dictionaries you want to be used when spell checking. Activating many dictionaries will slow down the checking process.

Dictionaries - Custom

While spell checking you can add unknown words to the dictionary. Here you can activate, create and delete those custom dictionaries.


Application Path & User Path

Application Path

In this directory you'll find all application files (executables), the current language file BLOGDESK.LNG and the special configuration file BLOGDESK.CFG.

If you don't know where this directory is located, open the Help menu, select Info and then More Info.

User Path

While working with BlogDesk, a lot of data is created, e.g. the blog configuration, the options or the archive with saved posts. All this User Data is stored in the User Path which contains several sub-directories.

By default the User Path is located in an area reserved by Windows for this very purpose: the Application Data of the respective user. For user Carlo this could be:

C:\Documents and Settings\Carlo\Application Data\

Under this directory you'll find, amongst many other folders, the folder with your BlogDesk User Data:

C:\...\Carlo\Application Data\BlogDesk\UserData

Normaly you shouldn't worry about this folder. But if you want to backup your personal data or copy it to a different computer, well, then you have to know where this data is located. And if you need to, you can even change the location.

If you want to find the User Path, open the Help menu, select Info and then More Info.

Change User Path

You can change the User Path if necessary. It make sense, for example, to have all personal data on a central server or on a specific partition to make backups easier.

If you want BlogDesk to use a different location for the User Path, you have to edit the configuration file BLOGDESK.CFG. This file is located in the Application Path (see above) and can be edited with any Text Editor (e.g. Notepad). Search for the UserPath entry in the [Main] section and edit its value. Here is an example:

[Main]

UserPath=F:\MyData\BlogDesk\UserData

Take care of not changing other values while editing the file. If you ever want to restore the default value, just delete the line with the UserPath entry.

Complete Directory Structure

You should not worry about this section, it's provided just for information purpose. You'll find here Application Path and User Path listed with their respective sub-directories.

BlogDesk | Application Path with all the program files.
Default | Default files for new users.
Dictionaries | Default dictionaries for spell check.
Language | Available language files.
UserData | User Path with files belonging to the user.
Blogs | Blogs configuration files.
Dictionaries | Custom dictionaries for spell check.
Draft | Saved, but not yet published posts.
Extras | Files for Notebook, Phrases and Technorati-Tags.
Images | Images used within posts.
Sent | Archive of published posts.
[Blogname] | Additional sub-directories for saving published posts.
Template | Templates and Master-Templates.


Data Backup & Transfer

 Top Previous

Data Backup

To prevent data loss (in case of disk crash, theft etc.) you should backup your BlogDesk user data on a regular basis. If you loose your data you can at least restore the most recent backup.

A complete backup must contain the User Path with all its sub-directories as well as the file BLOGDESK.CFG in the Application Path.

Data Transfer

If you get a new computer you probably want to install BlogDesk and transfer your old user data. Proceed as follows:
· Backup your user data (see above).
· Install BlogDesk on the new computer.
· Copy your backuped data to the corresponding directories on the new computer.